> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get created contracts

## Overview

Gets smart contracts the account has created.

## HTTP request

`POST /Agent/Legal/GetCreatedContracts`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"offset":Optional(Int(0 <= POffset <= 2147483647)),
	"maxCount":Optional(Int(0 < PMaxCount <= 2147483647))
}
```

## Input parameters

| Parameter | Description                                 |
| --------- | ------------------------------------------- |
| POffset   | Offset into the list where response begins. |
| PMaxCount | Maximum number of contracts to return.      |

## Response (JSON)

```json theme={null}
{
	"Contracts":Required(PContract)?[]
}
```

## Response parameters

| Parameter | Description             |
| --------- | ----------------------- |
| PContract | Contract objects found. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
